Bug 983872 - one keyboard in rescue mode
one keyboard in rescue mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 03:22 EDT by François Patte
Modified: 2014-02-05 17:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:06:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Patte 2013-07-12 03:22:14 EDT
Description of problem:When you enter in rescue mode you canot choose the keyboard: only qwerty keyboard is available


Version-Release number of selected component (if applicable): fedoara 18


How reproducible: try to rescue a system


Steps to Reproduce:
1.load install disk and ask for rescue mode
2.
3.

Actual results: no keyboard selection


Expected results: be able to choose language and appropriate keyboard


Additional info:
Comment 1 Steve Tyler 2013-07-12 13:30:37 EDT
You may be able to configure your keyboard and language from the kernel command line:

Press "Tab" at "Rescue a Fedora system".
Append "keymap=fr".
Append "lang=fr"

See also the localectl command:
http://www.freedesktop.org/software/systemd/man/localectl.html

This appears to be a duplicate:
Bug 837377 - rescue image (from PXE) don't ask for keyboard

Tested with:
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on
Comment 2 François Patte 2013-07-13 03:07:23 EDT
Using Tab key and append these options works, but the text is ugly: scrambled with a lot of AE§@... everywhere and can hardly be read.

I tried fr_FR-utf8 without any success...

Now, the possibility to choose language and keyboard in rescur mode was present in older version of anaconda, why this possibility has disappeared?

using localectl seems to be usable only when the system is up not for rescue.
Comment 3 Steve Tyler 2013-07-13 04:06:35 EDT
(In reply to François Patte from comment #2)
> Using Tab key and append these options works, but the text is ugly:
> scrambled with a lot of AE§@... everywhere and can hardly be read.

I noticed that with F18, too. Have you tried F19? F19 seems to work better:
https://fedoraproject.org/fr/get-fedora

> I tried fr_FR-utf8 without any success...

Thanks for your report. With F19, all of these work:
lang=fr
lang=fr_FR
lang=fr_FR.UTF-8

They all result in this:
# echo $LANG
fr_FR.UTF-8

But localectl is inconsistent with those:
# localectl list-locales | grep fr_FR | grep -i utf
fr_FR.utf8

> Now, the possibility to choose language and keyboard in rescur mode was
> present in older version of anaconda, why this possibility has disappeared?

It was last in F16. I don't know what the plan is for this feature, so I asked the developer in Bug 837377, Comment 5.

> using localectl seems to be usable only when the system is up not for rescue.

With F19, it seems to work somewhat, but it is not very convenient.

There may be several bugs here ...
Comment 4 Fedora End Of Life 2013-12-21 09:18:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:06:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.